# Get

Launch stage: Beta

`GET /api/2.0/identity/{name=accounts/*/external-service-principals/*}`

Retrieves an external service principal with the given external ID from the
 customer's IdP. If the service principal does not exist, it will be created.
 If the customer is not onboarded onto Automatic Identity Management (AIM),
 this will return an error.

API scopes: identity

## Path parameters

- `name` (string, required)
  Required. The resource name of the external service principal.
   Format: accounts/{account_id}/external-service-principals/{external_service_principal_id}

## Returns

Returns the ExternalServicePrincipal object.

## Response

```json
{
  "name": "string",
  "external_service_principal_id": "string",
  "internal_id": "string",
  "application_id": "string",
  "display_name": "string",
  "account_sp_status": "string",
  "account_id": "string"
}
```

